#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.116
%define		qtver		5.15.2
%define		kfname		threadweaver

Summary:	Helper for multithreaded programming
Name:		kf5-%{kfname}
Version:	5.116.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	124e8d40ffcde3a3308c0b5c3af47193
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
ThreadWeaver is a helper for multithreaded programming. It uses a
job-based interface to queue tasks and execute them in an efficient
way.

You simply divide the workload into jobs, state the dependencies
between the jobs and ThreadWeaver will work out the most efficient way
of dividing the work between threads within a set of resource limits.

See the information on [use cases](@ref usecases) and [why
multithreading can help](@ref multithreading), as well as the usage
section below, for more detailed information.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5ThreadWeaver.so.5
%attr(755,root,root) %{_libdir}/libKF5ThreadWeaver.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/ThreadWeaver
%{_libdir}/cmake/KF5ThreadWeaver
%{_libdir}/libKF5ThreadWeaver.so
%{qt5dir}/mkspecs/modules/qt_ThreadWeaver.pri
%changelog
* Fri Jul 19 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-threadweaver.git;a=log;h=master

* Mon May 20 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e1d842c
- updated to 5.116.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 092d97e
- updated to 5.115.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 09356a1
- Revert "- updated to 5.249.0; rel 0.1"

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 558cbf1
- updated to 5.249.0; rel 0.1

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 87f9dac
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9f52c47
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 900ed1a
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0c6dd1d
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a872418
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ccb1d1b
- updated to 5.109.0; cmake -B build

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 85215ef
- updated to 5.108.0

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a764c97
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> be2f94d
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a15bf60
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7db62a8
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 402b344
- updated to 5.104.0

* Sun Feb 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5d61af6
- updated to 5.103.0

* Mon Jan 16 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ad71ad0
- updated to 5.102.0

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8ba45d1
- rebuild against QT 5.15.8

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f1f8d7a
- updated to 5.101.0

